ReportComponent (gCube Reporting Modeler 1.3.0-4.2.1-125719 API)
Date: 2017-02-10

org.gcube.application.reporting.component.interfaces

## Interface ReportComponent

- All Known Subinterfaces:
    IsMedia, IsSequentiable
  All Known Implementing Classes:
    AbstractComponent, Box, BoxesArea, Column, DBTableRow, Heading, HiddenField, Image, Instruction, Media, ReferenceReport, ReportSequence, RichTextInput, SequenceList, TableWrapper, TextInput, Title

      public interface ReportComponent

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COMP_HEIGHT`
    `static int` | `COMP_WIDTH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ReportComponent>` | `getChildren()`
    `String` | `getId()`
    `org.gcube.portlets.d4sreporting.common.shared.BasicComponent` | `getModelComponent()`
    `List<Property>` | `getProperties()`
    `String` | `getStringValue()`
    `ReportComponentType` | `getType()`
    `boolean` | `hasChildren()`
    `void` | `setId(String id)`
    `void` | `setProperties(List<Property> props)`
    `void` | `setProperties(Property... properties)`

- - ### Field Detail

    - #### COMP_WIDTH

          static final int COMP_WIDTH

      See Also:
        Constant Field Values

    - #### COMP_HEIGHT

          static final int COMP_HEIGHT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getId

          String getId()

    - #### setId

          void setId(String id)

    - #### getProperties

          List<Property> getProperties()

    - #### setProperties

          void setProperties(List<Property> props)

    - #### setProperties

          void setProperties(Property... properties)

    - #### getType

          ReportComponentType getType()

    - #### hasChildren

          boolean hasChildren()

    - #### getChildren

          List<ReportComponent> getChildren()

    - #### getStringValue

          String getStringValue()

    - #### getModelComponent

          org.gcube.portlets.d4sreporting.common.shared.BasicComponent getModelComponent()

Copyright © 2017. All Rights Reserved.